## bug.n -- Tiling Window Manager

bug.n is a
[tiling window manager](https://en.wikipedia.org/wiki/Tiling_window_manager)
add-on for Microsoft Windows.

This page links the resources available for information on installing and
running, customizing and using bug.n and for a list of changes made with the
current version.

#### [README](../README.md)
> A description of what bug.n can do.

#### [CHANGES](./CHANGES.md)
> A list of changes to the user interface (i. a. configuration variables and
hotkeys) for each version of bug.n.

#### [Installing and running bug.n](./Installing_and_running.md)
> A description of how to install and run bug.n. Also described is a method to
run bug.n as Administrator to solve problems with the User Access Control of
Microsft Windows higher than Vista.

##### [Stable version](../../../releases/latest)
> The current stable version of bug.n as a package (`.zip` file); it includes
the source, a compiled version as one executable and the corresponding
documentation for that version.

##### [Development version](../../../archive/master.zip)
> The development version of bug.n as a package (`.zip` file); it includes the
source, a compiled version as one executable and the corresponding documentation
for the current development status.

#### Usage

##### [Using bug.n](./Usage.md)
> A short introduction on how to use bug.n and on concepts, like layouts and
tagging, bug.n uses.

##### [Default hotkeys](./Default_hotkeys.md)
> A list of all hotkeys with their default mapping to functions and a short
description.

#### Customization

##### [Customizing bug.n](./Customization.md)
> A description on how to customize bug.n by setting configuration variables
and hotkeys. Also described is a method to re-use the hotkey `Win+L`, which is
blocked by the Windows function to lock the screen.

##### [Default setting of configuration variables](./Default_configuration.md)
> A list of all configuration variables with their default values and a short
description.

##### [Configuring rules](./Configuring_rules.md)
> A description of 'rules', bug.n uses for handling windows, and how they can
be set in `Config.ini`.

##### [Default hotkeys](./Default_hotkeys.md)
> A list of all hotkeys with their default mapping to functions and a short
description.

##### [Used hotkeys](./Used_hotkeys.md)
> An overview of those hotkeys, already in use by bug.n with the default
configuration. With this overview you may find unused keys, which can be used
for non-bug.n hotkeys or to reassign bug.n functions.

##### [Xmonad hotkeys](./Xmonad-hotkeys.md)
> A list of hotkeys, which are similar to those used in
[xmonad](http://xmonad.org/), a dynamically tiling X11 window manager on *n?x.

##### [User proposed hotkeys](./User-hotkeys.md)
> Some individual hotkeys, proposed by bug.n users.

#### [LICENSE](../LICENSE.md)
> bug.n is licensed under the GNU General Public License version 3.

#### [CREDITS](./CREDITS.md)
> A list of people and projects, which contributed to bug.n.
